#ifndef TEST_H
#define TEST_H

#include <iostream>
#include <vector>
#include <string>

#include "TROOT.h"
#include "TH1.h"
#include "TH2.h"
#include "TFile.h"
#include "TTree.h"
#include "TChain.h"
#include "TBranch.h"

#ifdef __MAKECINT__
#pragma link C++ class vector<float>+;
#pragma link C++ class vector<TString>+;
#pragma link C++ class vector<TBranch*>+;
#endif

using namespace std;

namespace tester {

   class test {
      public:
	 test(TString fName);
	 ~test();

	 int nEvent;
	 Long64_t entry;

	 vector<TBranch*> brnchs;
	 vector< vector<float>* > v_props;
	 vector<TString> to_get;

	 TChain *fChain;

	 void LoadEvent(Long64_t& ientry);
	 void GetBranches();
	 void DumpProperties();
	 void Run();

   };

}//end of namespace
#endif
